Subject: Re: benchmarks
From: [email-masked] (Fergus Henderson)

24 Jan 1998 12:37:14 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
To: root <[email-masked]>
Cc: [email-masked]

On 23-Jan-1998, root <[email-masked]> wrote:
> I thought it would be interesting to see the benchmarks of different compilers
> with all optimizations turned on.

Yes, this is interesting.  But it would be more useful if you also
listed exactly which options you used for each compiler.

> o The relatively bad performance of egcs is surprising.

I have heard that ECGS's treatment of exception handling imposes some costs,
even for C code which doesn't use exceptions.  I think there is an option
to turn it off, which reportedly improves performance significantly.

-- 
Fergus Henderson <[email-masked]>   |  "I have always known that the pursuit
WWW: <http://www.cs.mu.oz.au/~fjh>   |  of excellence is a lethal habit"
PGP: finger [email-masked]         |     -- the last words of T. S. Garp.
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".